import QtQuick 2.7



Item
{
    id: moving_image
    z: 100

    property int centreX
    property int centreY
    property bool clockwise: true
    property real angle: 0.0
    property real angleInc: Math.PI / 180.0
    property real radius: 100.0
    property int trailCounter: 0

    Image
    {
        id: image
        width: 64
        height: 64
        source: "content/ladybird.png"
        anchors.centerIn : parent
    }

    SequentialAnimation
    {
        running: true
        loops: Animation.Infinite

        ScriptAction
        {
            script: {
                if (clockwise)
                    angle += angleInc
                else
                    angle -= angleInc
                image.rotation = (angle + (Math.PI/2.0)) * (180.0 / Math.PI)

                x = (centreX - image.width/2) + Math.cos(angle) * radius
                y = (centreY - image.height/2) + Math.sin(angle) * radius

                trailCounter++
                if (trailCounter > 5)
                {
                    // Emits one star
                    emitTrailParticle(x, y)
                    trailCounter = 0;
                }
            }
        }
        PauseAnimation { duration: 50 }
    }
}



