import QtQuick 2.6
import QtQuick.Window 2.2
import QtQuick.Layouts 1.1
import QtQuick.Particles 2.0
import "."

Window {
    visible: true
    width: 1024
    height: 768
    color: "darkblue"
    title: qsTr("Flicker")




    MouseArea
    {
        anchors.fill: parent
        onClicked:
        {
            the_model.append({centreX: mouseX, centreY: mouseY})
        }
    }

    ListModel
    {
        id: the_model
    }

    Repeater
    {
        model: the_model
        MovingImage
        {
            centreX: model.centreX
            centreY: model.centreY
        }
    }

    ParticleSystem
    {
        Emitter
        {
            id: trail
            lifeSpan: 10000
            enabled: false
        }

        ImageParticle
        {
            source: "content/star.png"
            color: "white"
            z: 0
            entryEffect: ImageParticle.Scale
        }
    }


    function emitTrailParticle( x, y)
    {
        trail.burst(1, x, y)
    }

}
